--重铸技能描述
Lua_RunesRecastSkillDesWindow = class("Lua_RunesRecastSkillDesWindow", Lua_Window);
function Lua_RunesRecastSkillDesWindow:ctor()
    self:superCall("ctor");

    self.w = 544;
    self.h = 385;
    self.windowName = "Lua_RunesRecastSkillDesWindow";
    self.skinName = "RunesSkillDesWindow_skin";
    self.showBlackMask = true;
    self.isClickClose = true;
end

function Lua_RunesRecastSkillDesWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.itemIcon = UICreate.createUIAtlasImage(self.showObject, nil, nil, -196, -55, 101, 101);
    self.itemIcon:setScale(0.8, 0.8, 0.8);

    self.extra_des:setLangValue(126829);
    self.skill_tips:setLangValue(126830);
end

function Lua_RunesRecastSkillDesWindow:dispose()
    self:superCall("dispose");
end

function Lua_RunesRecastSkillDesWindow:showWin(param)
    self:superCall("showWin", param);

    self.winBg:setAltas("common_altas_2", "ui_common_window_0"..(param.color + 16));
    self.itemIcon:setAltas(param.atlas, param.sprite);
    self.nameText.text = param.name;
    if param.score > 0 then
        self.scoreText.text = LanUtil.formateStr(309030, tostring(param.score));
    else
        self.scoreText:setEnable(false);
    end
    

    local height = 0;
    local initH = self.attr_des.height;
    self.attr_des.text = param.attr_des;
    self.attr_des:resetSize();
    local addH = self.attr_des.height - initH;
    height = height + addH;

    local posX = self.extra_des.posX;
    local posY = self.extra_des.posY;
    self.extra_des:setLocation(posX, posY - addH, 0);
    
    posX = self.skillObject.transform.anchoredPosition.x;
    posY = self.skillObject.transform.anchoredPosition.y;
    LuaUtil.setObjPos(self.skillObject, posX, posY - addH, 0);

    initH = self.skill_des.height;
    self.skill_des.text = param.skill_des;
    self.skill_des:resetSize();
    addH = self.skill_des.height - initH;
    height = height + addH;

    posX = self.skill_tips.posX;
    posY = self.skill_tips.posY;
    self.skill_tips:setLocation(posX, posY - addH, 0);

    self.winBg:SetDimensions(self.w, self.h + height);
    posX = self.showObject.transform.anchoredPosition.x;
    posY = self.showObject.transform.anchoredPosition.y;
    LuaUtil.setObjPos(self.showObject, posX, posY + height / 2, 0);
end